String clazzTpl({package}) => """
import 'dart:ui';
import 'app.dart';
import 'dart:async';
import 'store/redux/reducers.dart';
import 'store/redux/redux.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'utils/sys_error_util.dart';
import 'widget/base_store_container.dart';
import 'store/app_config/app_config_state.dart';

void main() {
  FlutterError.onError = SysErrorUtil.onError;
  ErrorWidget.builder = SysErrorUtil.builder;

  runZonedGuarded<Future<void>>(() async {
    WidgetsFlutterBinding.ensureInitialized();

    await Future.wait([
      AppAndDevice.loadDevice(),
    ]);
    final engine = PersistorEngine(
        'sy_store_v\${AppAndDevice.appVersion}_\${AppAndDevice.appBuildNumber}');

    final store = Store<ReduxState>(
      appReducer,
      middleware: [engine.persistor.createMiddleware(), ...userMiddleware],
      initialState: await engine.initialState,
    );

    if (store.state.themeState!.brightness == Brightness.light) {
      SystemChrome.setSystemUIOverlayStyle(SystemUiOverlayStyle.light
          .copyWith(systemNavigationBarColor: Colors.white));
    } else {
      SystemChrome.setSystemUIOverlayStyle(SystemUiOverlayStyle.light
          .copyWith(systemNavigationBarColor: Color(0xFF1A1A1A)));
    }

    SystemChrome.setPreferredOrientations([
      DeviceOrientation.portraitUp,
      DeviceOrientation.portraitDown,
    ]);
    runApp(App(store: store, route: window.defaultRouteName));
  }, SysErrorUtil.writeErrorLog);
}
""";
