String clazzTpl({package}) => """
import 'package:flutter/material.dart';
import 'package:$package/utils/toast_util.dart';
import 'package:$package/utils/print_util.dart';
export 'package:$package/store/app_state.dart';
export 'package:$package/route/main.route.dart';
export 'package:$package/store/theme/theme_state.dart';

mixin BaseStatefulMixin<T extends StatefulWidget> on State<T> {
  void showMsg(String msg) => Toast.show(msg);

  @mustCallSuper
  @override
  void initState() {
    logDebugPrint('\${this.runtimeType.toString()} initState');
    super.initState();
  }

  @mustCallSuper
  @override
  void didUpdateWidget(covariant oldWidget) {
    logDebugPrint('\${this.runtimeType.toString()} didUpdateWidget');
    super.didUpdateWidget(oldWidget);
  }

  @mustCallSuper
  @override
  void reassemble() {
    logDebugPrint('\${this.runtimeType.toString()} reassemble');
    super.reassemble();
  }

  @mustCallSuper
  @override
  void setState(fn) {
    logDebugPrint('\${this.runtimeType.toString()} setState');
    super.setState(fn);
  }

  @mustCallSuper
  @override
  void deactivate() {
    logDebugPrint('\${this.runtimeType.toString()} deactivate');
    super.deactivate();
  }

  @mustCallSuper
  @override
  void dispose() {
    logDebugPrint('\${this.runtimeType.toString()} dispose');
    super.dispose();
  }

  @mustCallSuper
  @override
  void didChangeDependencies() {
    logDebugPrint('\${this.runtimeType.toString()} didChangeDependencies');
    super.didChangeDependencies();
  }

  @mustCallSuper
  @override
  Widget build(BuildContext context) {
    logDebugPrint('\${this.runtimeType.toString()} build');
    return Container();
  }
}

mixin BaseStatelessMixin<T extends StatelessWidget> on StatelessWidget {
  void showMsg(String msg) => Toast.show(msg);

  @mustCallSuper
  @override
  Widget build(BuildContext context) {
    logDebugPrint('\${this.runtimeType.toString()} build');
    return Container();
  }
}
""";
