import 'dart:io';
import 'package:source_gen/source_gen.dart';

class ParsParams {
  static Map<String, dynamic> pars(
      ConstantReader annotation, Map<String, dynamic> params) {
    final map = Map<String, dynamic>();
    params.forEach((key, value) {
      map[key] = value;
      try {
        if (value is bool) {
          map[key] = annotation.read(key).boolValue;
        } else if (value is String) {
          map[key] = annotation.read(key).stringValue;
        }
      } catch (e) {
        stdout.writeln(e);
      }
    });
    return map;
  }
}
